// package: bet.beteran.c2se.member_game_setting
// file: c2se/member_game_setting.proto

import * as jspb from 'google-protobuf';
import * as protobuf_rpc_pb from '../protobuf/rpc_pb';
import * as protobuf_pagination_pb from '../protobuf/pagination_pb';
import * as models_member_game_setting_pb from '../models/member_game_setting_pb';

export class CreateMemberGameSettingRequest extends jspb.Message {
  getMemberId(): string;
  setMemberId(value: string): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): CreateMemberGameSettingRequest.AsObject;
  static toObject(
    includeInstance: boolean,
    msg: CreateMemberGameSettingRequest
  ): CreateMemberGameSettingRequest.AsObject;
  static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
  static extensionsBinary: {
    [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
  };
  static serializeBinaryToWriter(
    message: CreateMemberGameSettingRequest,
    writer: jspb.BinaryWriter
  ): void;
  static deserializeBinary(bytes: Uint8Array): CreateMemberGameSettingRequest;
  static deserializeBinaryFromReader(
    message: CreateMemberGameSettingRequest,
    reader: jspb.BinaryReader
  ): CreateMemberGameSettingRequest;
}

export namespace CreateMemberGameSettingRequest {
  export type AsObject = {
    memberId: string;
  };
}

export class CreateMemberGameSettingResponse extends jspb.Message {
  hasError(): boolean;
  clearError(): void;
  getError(): protobuf_rpc_pb.Error | undefined;
  setError(value?: protobuf_rpc_pb.Error): void;

  hasResult(): boolean;
  clearResult(): void;
  getResult(): CreateMemberGameSettingResponse.Result | undefined;
  setResult(value?: CreateMemberGameSettingResponse.Result): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): CreateMemberGameSettingResponse.AsObject;
  static toObject(
    includeInstance: boolean,
    msg: CreateMemberGameSettingResponse
  ): CreateMemberGameSettingResponse.AsObject;
  static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
  static extensionsBinary: {
    [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
  };
  static serializeBinaryToWriter(
    message: CreateMemberGameSettingResponse,
    writer: jspb.BinaryWriter
  ): void;
  static deserializeBinary(bytes: Uint8Array): CreateMemberGameSettingResponse;
  static deserializeBinaryFromReader(
    message: CreateMemberGameSettingResponse,
    reader: jspb.BinaryReader
  ): CreateMemberGameSettingResponse;
}

export namespace CreateMemberGameSettingResponse {
  export type AsObject = {
    error?: protobuf_rpc_pb.Error.AsObject;
    result?: CreateMemberGameSettingResponse.Result.AsObject;
  };

  export class Result extends jspb.Message {
    hasMemberGameSetting(): boolean;
    clearMemberGameSetting(): void;
    getMemberGameSetting():
      | models_member_game_setting_pb.MemberGameSetting
      | undefined;
    setMemberGameSetting(
      value?: models_member_game_setting_pb.MemberGameSetting
    ): void;

    serializeBinary(): Uint8Array;
    toObject(includeInstance?: boolean): Result.AsObject;
    static toObject(includeInstance: boolean, msg: Result): Result.AsObject;
    static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
    static extensionsBinary: {
      [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
    };
    static serializeBinaryToWriter(
      message: Result,
      writer: jspb.BinaryWriter
    ): void;
    static deserializeBinary(bytes: Uint8Array): Result;
    static deserializeBinaryFromReader(
      message: Result,
      reader: jspb.BinaryReader
    ): Result;
  }

  export namespace Result {
    export type AsObject = {
      memberGameSetting?: models_member_game_setting_pb.MemberGameSetting.AsObject;
    };
  }
}

export class ListMemberGameSettingsRequest extends jspb.Message {
  hasPagination(): boolean;
  clearPagination(): void;
  getPagination(): protobuf_pagination_pb.Pagination | undefined;
  setPagination(value?: protobuf_pagination_pb.Pagination): void;

  clearSortsList(): void;
  getSortsList(): Array<protobuf_pagination_pb.Sort>;
  setSortsList(value: Array<protobuf_pagination_pb.Sort>): void;
  addSorts(
    value?: protobuf_pagination_pb.Sort,
    index?: number
  ): protobuf_pagination_pb.Sort;

  hasSearch(): boolean;
  clearSearch(): void;
  getSearch(): ListMemberGameSettingsRequest.Search | undefined;
  setSearch(value?: ListMemberGameSettingsRequest.Search): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): ListMemberGameSettingsRequest.AsObject;
  static toObject(
    includeInstance: boolean,
    msg: ListMemberGameSettingsRequest
  ): ListMemberGameSettingsRequest.AsObject;
  static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
  static extensionsBinary: {
    [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
  };
  static serializeBinaryToWriter(
    message: ListMemberGameSettingsRequest,
    writer: jspb.BinaryWriter
  ): void;
  static deserializeBinary(bytes: Uint8Array): ListMemberGameSettingsRequest;
  static deserializeBinaryFromReader(
    message: ListMemberGameSettingsRequest,
    reader: jspb.BinaryReader
  ): ListMemberGameSettingsRequest;
}

export namespace ListMemberGameSettingsRequest {
  export type AsObject = {
    pagination?: protobuf_pagination_pb.Pagination.AsObject;
    sortsList: Array<protobuf_pagination_pb.Sort.AsObject>;
    search?: ListMemberGameSettingsRequest.Search.AsObject;
  };

  export class Search extends jspb.Message {
    hasMemberId(): boolean;
    clearMemberId(): void;
    getMemberId(): string;
    setMemberId(value: string): void;

    serializeBinary(): Uint8Array;
    toObject(includeInstance?: boolean): Search.AsObject;
    static toObject(includeInstance: boolean, msg: Search): Search.AsObject;
    static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
    static extensionsBinary: {
      [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
    };
    static serializeBinaryToWriter(
      message: Search,
      writer: jspb.BinaryWriter
    ): void;
    static deserializeBinary(bytes: Uint8Array): Search;
    static deserializeBinaryFromReader(
      message: Search,
      reader: jspb.BinaryReader
    ): Search;
  }

  export namespace Search {
    export type AsObject = {
      memberId: string;
    };
  }
}

export class ListMemberGameSettingsResponse extends jspb.Message {
  hasError(): boolean;
  clearError(): void;
  getError(): protobuf_rpc_pb.Error | undefined;
  setError(value?: protobuf_rpc_pb.Error): void;

  hasResult(): boolean;
  clearResult(): void;
  getResult(): ListMemberGameSettingsResponse.Result | undefined;
  setResult(value?: ListMemberGameSettingsResponse.Result): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): ListMemberGameSettingsResponse.AsObject;
  static toObject(
    includeInstance: boolean,
    msg: ListMemberGameSettingsResponse
  ): ListMemberGameSettingsResponse.AsObject;
  static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
  static extensionsBinary: {
    [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
  };
  static serializeBinaryToWriter(
    message: ListMemberGameSettingsResponse,
    writer: jspb.BinaryWriter
  ): void;
  static deserializeBinary(bytes: Uint8Array): ListMemberGameSettingsResponse;
  static deserializeBinaryFromReader(
    message: ListMemberGameSettingsResponse,
    reader: jspb.BinaryReader
  ): ListMemberGameSettingsResponse;
}

export namespace ListMemberGameSettingsResponse {
  export type AsObject = {
    error?: protobuf_rpc_pb.Error.AsObject;
    result?: ListMemberGameSettingsResponse.Result.AsObject;
  };

  export class Result extends jspb.Message {
    clearMemberGameSettingsList(): void;
    getMemberGameSettingsList(): Array<models_member_game_setting_pb.MemberGameSetting>;
    setMemberGameSettingsList(
      value: Array<models_member_game_setting_pb.MemberGameSetting>
    ): void;
    addMemberGameSettings(
      value?: models_member_game_setting_pb.MemberGameSetting,
      index?: number
    ): models_member_game_setting_pb.MemberGameSetting;

    serializeBinary(): Uint8Array;
    toObject(includeInstance?: boolean): Result.AsObject;
    static toObject(includeInstance: boolean, msg: Result): Result.AsObject;
    static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
    static extensionsBinary: {
      [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
    };
    static serializeBinaryToWriter(
      message: Result,
      writer: jspb.BinaryWriter
    ): void;
    static deserializeBinary(bytes: Uint8Array): Result;
    static deserializeBinaryFromReader(
      message: Result,
      reader: jspb.BinaryReader
    ): Result;
  }

  export namespace Result {
    export type AsObject = {
      memberGameSettingsList: Array<models_member_game_setting_pb.MemberGameSetting.AsObject>;
    };
  }
}

export class GetMemberGameSettingRequest extends jspb.Message {
  getId(): string;
  setId(value: string): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): GetMemberGameSettingRequest.AsObject;
  static toObject(
    includeInstance: boolean,
    msg: GetMemberGameSettingRequest
  ): GetMemberGameSettingRequest.AsObject;
  static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
  static extensionsBinary: {
    [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
  };
  static serializeBinaryToWriter(
    message: GetMemberGameSettingRequest,
    writer: jspb.BinaryWriter
  ): void;
  static deserializeBinary(bytes: Uint8Array): GetMemberGameSettingRequest;
  static deserializeBinaryFromReader(
    message: GetMemberGameSettingRequest,
    reader: jspb.BinaryReader
  ): GetMemberGameSettingRequest;
}

export namespace GetMemberGameSettingRequest {
  export type AsObject = {
    id: string;
  };
}

export class GetMemberGameSettingResponse extends jspb.Message {
  hasError(): boolean;
  clearError(): void;
  getError(): protobuf_rpc_pb.Error | undefined;
  setError(value?: protobuf_rpc_pb.Error): void;

  hasResult(): boolean;
  clearResult(): void;
  getResult(): GetMemberGameSettingResponse.Result | undefined;
  setResult(value?: GetMemberGameSettingResponse.Result): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): GetMemberGameSettingResponse.AsObject;
  static toObject(
    includeInstance: boolean,
    msg: GetMemberGameSettingResponse
  ): GetMemberGameSettingResponse.AsObject;
  static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
  static extensionsBinary: {
    [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
  };
  static serializeBinaryToWriter(
    message: GetMemberGameSettingResponse,
    writer: jspb.BinaryWriter
  ): void;
  static deserializeBinary(bytes: Uint8Array): GetMemberGameSettingResponse;
  static deserializeBinaryFromReader(
    message: GetMemberGameSettingResponse,
    reader: jspb.BinaryReader
  ): GetMemberGameSettingResponse;
}

export namespace GetMemberGameSettingResponse {
  export type AsObject = {
    error?: protobuf_rpc_pb.Error.AsObject;
    result?: GetMemberGameSettingResponse.Result.AsObject;
  };

  export class Result extends jspb.Message {
    hasMemberGameSetting(): boolean;
    clearMemberGameSetting(): void;
    getMemberGameSetting():
      | models_member_game_setting_pb.MemberGameSetting
      | undefined;
    setMemberGameSetting(
      value?: models_member_game_setting_pb.MemberGameSetting
    ): void;

    serializeBinary(): Uint8Array;
    toObject(includeInstance?: boolean): Result.AsObject;
    static toObject(includeInstance: boolean, msg: Result): Result.AsObject;
    static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
    static extensionsBinary: {
      [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
    };
    static serializeBinaryToWriter(
      message: Result,
      writer: jspb.BinaryWriter
    ): void;
    static deserializeBinary(bytes: Uint8Array): Result;
    static deserializeBinaryFromReader(
      message: Result,
      reader: jspb.BinaryReader
    ): Result;
  }

  export namespace Result {
    export type AsObject = {
      memberGameSetting?: models_member_game_setting_pb.MemberGameSetting.AsObject;
    };
  }
}

export class UpdateMemberGameSettingRequest extends jspb.Message {
  getId(): string;
  setId(value: string): void;

  getCanBetCasino(): boolean;
  setCanBetCasino(value: boolean): void;

  getCanBetSlot(): boolean;
  setCanBetSlot(value: boolean): void;

  getCanBetPowerball(): boolean;
  setCanBetPowerball(value: boolean): void;

  getCanBetPowerladder(): boolean;
  setCanBetPowerladder(value: boolean): void;

  getCanBetEos(): boolean;
  setCanBetEos(value: boolean): void;

  getCanBetBogglepowerball(): boolean;
  setCanBetBogglepowerball(value: boolean): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): UpdateMemberGameSettingRequest.AsObject;
  static toObject(
    includeInstance: boolean,
    msg: UpdateMemberGameSettingRequest
  ): UpdateMemberGameSettingRequest.AsObject;
  static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
  static extensionsBinary: {
    [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
  };
  static serializeBinaryToWriter(
    message: UpdateMemberGameSettingRequest,
    writer: jspb.BinaryWriter
  ): void;
  static deserializeBinary(bytes: Uint8Array): UpdateMemberGameSettingRequest;
  static deserializeBinaryFromReader(
    message: UpdateMemberGameSettingRequest,
    reader: jspb.BinaryReader
  ): UpdateMemberGameSettingRequest;
}

export namespace UpdateMemberGameSettingRequest {
  export type AsObject = {
    id: string;
    canBetCasino: boolean;
    canBetSlot: boolean;
    canBetPowerball: boolean;
    canBetPowerladder: boolean;
    canBetEos: boolean;
    canBetBogglepowerball: boolean;
  };
}

export class UpdateMemberGameSettingResponse extends jspb.Message {
  hasError(): boolean;
  clearError(): void;
  getError(): protobuf_rpc_pb.Error | undefined;
  setError(value?: protobuf_rpc_pb.Error): void;

  hasResult(): boolean;
  clearResult(): void;
  getResult(): UpdateMemberGameSettingResponse.Result | undefined;
  setResult(value?: UpdateMemberGameSettingResponse.Result): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): UpdateMemberGameSettingResponse.AsObject;
  static toObject(
    includeInstance: boolean,
    msg: UpdateMemberGameSettingResponse
  ): UpdateMemberGameSettingResponse.AsObject;
  static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
  static extensionsBinary: {
    [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
  };
  static serializeBinaryToWriter(
    message: UpdateMemberGameSettingResponse,
    writer: jspb.BinaryWriter
  ): void;
  static deserializeBinary(bytes: Uint8Array): UpdateMemberGameSettingResponse;
  static deserializeBinaryFromReader(
    message: UpdateMemberGameSettingResponse,
    reader: jspb.BinaryReader
  ): UpdateMemberGameSettingResponse;
}

export namespace UpdateMemberGameSettingResponse {
  export type AsObject = {
    error?: protobuf_rpc_pb.Error.AsObject;
    result?: UpdateMemberGameSettingResponse.Result.AsObject;
  };

  export class Result extends jspb.Message {
    hasMemberGameSetting(): boolean;
    clearMemberGameSetting(): void;
    getMemberGameSetting():
      | models_member_game_setting_pb.MemberGameSetting
      | undefined;
    setMemberGameSetting(
      value?: models_member_game_setting_pb.MemberGameSetting
    ): void;

    serializeBinary(): Uint8Array;
    toObject(includeInstance?: boolean): Result.AsObject;
    static toObject(includeInstance: boolean, msg: Result): Result.AsObject;
    static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
    static extensionsBinary: {
      [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
    };
    static serializeBinaryToWriter(
      message: Result,
      writer: jspb.BinaryWriter
    ): void;
    static deserializeBinary(bytes: Uint8Array): Result;
    static deserializeBinaryFromReader(
      message: Result,
      reader: jspb.BinaryReader
    ): Result;
  }

  export namespace Result {
    export type AsObject = {
      memberGameSetting?: models_member_game_setting_pb.MemberGameSetting.AsObject;
    };
  }
}

export class DeleteMemberGameSettingRequest extends jspb.Message {
  getId(): string;
  setId(value: string): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): DeleteMemberGameSettingRequest.AsObject;
  static toObject(
    includeInstance: boolean,
    msg: DeleteMemberGameSettingRequest
  ): DeleteMemberGameSettingRequest.AsObject;
  static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
  static extensionsBinary: {
    [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
  };
  static serializeBinaryToWriter(
    message: DeleteMemberGameSettingRequest,
    writer: jspb.BinaryWriter
  ): void;
  static deserializeBinary(bytes: Uint8Array): DeleteMemberGameSettingRequest;
  static deserializeBinaryFromReader(
    message: DeleteMemberGameSettingRequest,
    reader: jspb.BinaryReader
  ): DeleteMemberGameSettingRequest;
}

export namespace DeleteMemberGameSettingRequest {
  export type AsObject = {
    id: string;
  };
}

export class DeleteMemberGameSettingResponse extends jspb.Message {
  hasError(): boolean;
  clearError(): void;
  getError(): protobuf_rpc_pb.Error | undefined;
  setError(value?: protobuf_rpc_pb.Error): void;

  hasResult(): boolean;
  clearResult(): void;
  getResult(): DeleteMemberGameSettingResponse.Result | undefined;
  setResult(value?: DeleteMemberGameSettingResponse.Result): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): DeleteMemberGameSettingResponse.AsObject;
  static toObject(
    includeInstance: boolean,
    msg: DeleteMemberGameSettingResponse
  ): DeleteMemberGameSettingResponse.AsObject;
  static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
  static extensionsBinary: {
    [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
  };
  static serializeBinaryToWriter(
    message: DeleteMemberGameSettingResponse,
    writer: jspb.BinaryWriter
  ): void;
  static deserializeBinary(bytes: Uint8Array): DeleteMemberGameSettingResponse;
  static deserializeBinaryFromReader(
    message: DeleteMemberGameSettingResponse,
    reader: jspb.BinaryReader
  ): DeleteMemberGameSettingResponse;
}

export namespace DeleteMemberGameSettingResponse {
  export type AsObject = {
    error?: protobuf_rpc_pb.Error.AsObject;
    result?: DeleteMemberGameSettingResponse.Result.AsObject;
  };

  export class Result extends jspb.Message {
    serializeBinary(): Uint8Array;
    toObject(includeInstance?: boolean): Result.AsObject;
    static toObject(includeInstance: boolean, msg: Result): Result.AsObject;
    static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
    static extensionsBinary: {
      [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
    };
    static serializeBinaryToWriter(
      message: Result,
      writer: jspb.BinaryWriter
    ): void;
    static deserializeBinary(bytes: Uint8Array): Result;
    static deserializeBinaryFromReader(
      message: Result,
      reader: jspb.BinaryReader
    ): Result;
  }

  export namespace Result {
    export type AsObject = {};
  }
}
